<%@ page contentType="text/html;charset=gbk" %>
<%@ page import="java.util.*" %>
<%@ page import="net.sz600.basicdata.*" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.tool.SzDateHelp" %>
<%@ page import="net.sz600.system.*" %>
<%@ page import="net.sz600.formEngine.*" %>
<%@ page import="net.sz600.formEngine2.*" %>
<%@ page import="net.sz600.formCreate.*" %>
<%@ include file="/xml/formEngine2/sessionInfo2.jsp"%>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=GBK">
<link href="<%=strSkin_SESSION%>/css2007.css" rel="stylesheet" type="text/css">
</head>
<%
    //获取提交的参数
    String name = SzConvert.toSpaceStr(request.getParameter("name"));
    String readonly = "";
    String sOPERATOR = SzConvert.toSpaceStr(request.getParameter("OPERATOR"));
	  String moduleName = SzConvert.toSpaceStr(request.getParameter("moduleName"));
	  String formName = SzConvert.toSpaceStr(request.getParameter("formName"));
    BdNumberRuler bdNumberRuler = new BdNumberRuler();
    String str[] = bdNumberRuler.getInfo(name);
    
		if (sOPERATOR.equals("add")) {
			str[1] = moduleName;
			str[2] = formName;
			str[4] = "yyyyMMdd";
			str[5] = "4";
			str[6] = "";
		} else if (sOPERATOR.equals("update")) {
			moduleName = str[1];
			formName = str[2];
		}
   	
%>
<body>

<!-----上面的工具栏------>
<form name="formUpdate" method="post">
  <input type="hidden" name="OPERATOR" value="<%=sOPERATOR%>">
<%@ include file="/xml/formEngine2/title.jsp"%>
<table width="100%">
  <tr>
    <td>
      <%=SzPageHelp.saveButton()%>
      <%=SzPageHelp.backButton()%>
    </td>
  </tr>
</table>

<!-----信息维护------>
<table width="750" border="1" bordercolorlight="#C0C0C0" bordercolordark="#FFFFFF" class="tableClass" cellpadding="3" cellspacing="0">
  <tr>
    <td class="tdClassTitle">名称</td>
    <td colspan="3"><input type="text" name="name" value="<%=str[0]%>" size="10" <%if (sOPERATOR.equals("update")){%> readonly class="txtClass1R"<%}else {%>class="txtClass1"<%} %>> (可用字母、数字、下划线的组合，10个字以内) <font color="red">*</font></td>
  </tr>
  <tr>
    <td class="tdClassTitle">模块名称</td>
    <td><input type="text" name="moduleName" class="txtClass1R" value="<%=str[1]%>"  readonly></td>

    <td class="tdClassTitle">表单名称</td>
    <td><input type="text" name="formName" class="txtClass1R" value="<%=str[2]%>" readonly></td>
  </tr> 
  <tr>
    <td class="tdClassTitle">固定部分</td>
    <td colspan="3"><input type="text" name="fix" class="txtClass1" value="<%=str[3]%>">(可为空)</td>
  </tr>
  <tr>
    <td class="tdClassTitle">日期格式</td>
    <td colspan="3">
      <%
      	String s_id2[] = {"yyyyMMdd","yyyyMM","yyyy",""};
        String s_name2[] = {"年月日","年月","年","不需要日期"};
        out.println(SzPageHelp.radio("dataFormat", s_id2, s_name2, str[4]));
      %> 
    </td>
  </tr>   
  <tr>
    <td class="tdClassTitle">流水号格式</td>
    <td colspan="3">
      <%
      	String s_id3[] = {"2","3","4","5"};
      	String s_name3[] = {"01","001","0001","00001"};
        out.println(SzPageHelp.radio("numberLen", s_id3, s_name3, str[5]));
      %> 
    </td>
  </tr>  
  <tr>
    <td class="tdClassTitle">重新编号</td>
    <td colspan="3">
      <%
      	String s_id[] = {"","yyyy","yyyy-MM","yyyy-MM-dd"};
        String s_name[] = {"不重新编号","按年编号","按月编号","按天编号"};
        out.println(SzPageHelp.radio("clearDateFormat", s_id, s_name, str[6]));
      %>(过了日期后，流水号是否重新从0开始编号)    
    </td>
  </tr>   
  <tr>
    <td class="tdClassTitle">绑定字段</td>
    <td colspan="3">
    <%
    BdFormControl bdFormControl = new BdFormControl();    
    Map fieldMap = bdFormControl.getFieldMap();
    BdFormFieldInfo bdFormFieldInfo = null;
    Collection collFormField = null;
    collFormField = (Collection)fieldMap.get(new String(moduleName + "-" + formName));
    Iterator iterFormField = null;   
    String strMainTable = bdFormControl.getMainTableName(moduleName, formName);

    if (collFormField != null) {
    	iterFormField = collFormField.iterator();
    }    
		int i =0;
		String temp = str[7];
		while (iterFormField != null && iterFormField.hasNext()) {
			bdFormFieldInfo = (BdFormFieldInfo) iterFormField.next();			
			if (    bdFormFieldInfo.getZDBJ() == 1 
				 	|| bdFormFieldInfo.getZDBJ() == 3 
				 	|| bdFormFieldInfo.getZDBJ() == 34					
					|| bdFormFieldInfo.getZDBJ() == 4
					|| bdFormFieldInfo.getZDBJ() == 42
					|| bdFormFieldInfo.getZDBJ() == 43
					|| bdFormFieldInfo.getZDBJ() == 44) {				 	
					continue;
				}					
			if (!strMainTable.equals(bdFormFieldInfo.getTableName())) {
				continue;
			}
			out.println("<span style='width:230px;'><input type='radio' name='fieldName' value='" + bdFormFieldInfo.getZDID() + "'");
			if (temp.equals(bdFormFieldInfo.getZDID())) {
				out.println(" checked ");
			}
			out.println(">");
			out.println(bdFormFieldInfo.getZDID() + " " + bdFormFieldInfo.getZDMC() + " " + bdFormFieldInfo.getZDSM());
			i ++;
			out.println("</span>");
			if (i % 2 == 0) {
				out.println("<br>");
			}
		}
		%>    
    </td>
  </tr>   
  <tr>
  	<td class="tdClassTitle">编号格式</td>
  	<td colspan="3">固定部分 + 日期格式 + 流水号， 如“【深数飞】201311260001”</td>
  </tr>      
</table>

</form>

<!-----这里包含要提交的内容--->
<form name="formHidden" method="post">
</form>
<script language="javascript" src="../../../share/js/commonTool.js"></script>
<script language="javascript">

  function FormSave(formName, url) {

    //检查是否可以保存
    if (!notSpace(formName.name, "名称")) {
      return false;
    }
        /*
    var fieldName = ValueOfRadio(formName.fieldName)
    if (fieldName == "") {
    	alert("请至少选择一个绑定字段");
    	return;
    }   

    var fieldName = ValueOfRadio(formName.fieldName2)
    if (fieldName == "") {
    	alert("请至少选择一个绑定字段");
    	return;
    } else {
    	formName.fieldName.value = fieldName2;
    }
		*/
    formName.action = "control.jsp";
    formName.submit();
  }
  
 
</script>
</body>
